/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

var registerBlockType = wp.blocks.registerBlockType;
var _wp$editor = wp.editor,
    RichText = _wp$editor.RichText,
    InspectorControls = _wp$editor.InspectorControls,
    ColorPalette = _wp$editor.ColorPalette,
    InnerBlocks = _wp$editor.InnerBlocks;
var PanelBody = wp.components.PanelBody;
registerBlockType('seoindicate/product', {
  title: 'Seoindicate Product',
  description: 'Block to generate a beautiful product designs.',
  icon: 'chart-pie',
  category: 'design',
  attributes: {
    backgroundColor: {
      type: 'string',
      default: 'white'
    },
    ribbonValue: {
      type: 'string',
      default: ''
    }
  },
  edit: function edit(props) {
    var attributes = props.attributes,
        setAttributes = props.setAttributes;
    var backgroundColor = attributes.backgroundColor,
        ribbonValue = attributes.ribbonValue;
    var colors = [{
      name: 'Style1',
      color: '#dee2e6'
    }, {
      name: 'Style2',
      color: '#ffffff'
    }];

    var onbackgroundColorChange = function onbackgroundColorChange(newColor) {
      setAttributes({
        backgroundColor: newColor
      });
    };

    var onBannerValueChange = function onBannerValueChange(newBannerValue) {
      setAttributes({
        ribbonValue: newBannerValue
      });
    };

    var isEmpty = ribbonValue.length > 0 ? true : false;
    var MY_TEMPLATE = [['core/heading', {
      placeholder: 'Product Title'
    }], ['core/image'], ['core/button', {
      className: 'seoindicate-buynowbtn'
    }], ['core/paragraph', {
      placeholder: 'Product Description'
    }], ['core/paragraph', {
      placeholder: 'Product Feature'
    }], ['core/list', {
      placeholder: 'Product Feature'
    }], ['core/group', {}, [['core/columns', {}, [['core/column', {
      className: 'seoindicate-product-border-left'
    }, [['core/paragraph', {
      placeholder: 'Pros',
      className: 'pros_col'
    }], ['core/list', {
      className: 'pros-list'
    }]]], ['core/column', {
      className: 'seoindicate-product-border-right'
    }, [['core/paragraph', {
      placeholder: 'Cons',
      className: 'cons_col'
    }], ['core/list', {
      className: 'cons-list'
    }]]]]]]]];
    return [Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(InspectorControls, {
      style: {
        marginBottom: '40px'
      }
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(PanelBody, {
      title: 'Ribbon Setting'
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, "Ribbon Title")), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(RichText, {
      value: ribbonValue,
      placeholder: "Ribbon Title",
      onChange: onBannerValueChange
    })), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(PanelBody, {
      title: 'Color Setting'
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, "Background Color")), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(ColorPalette, {
      colors: colors,
      value: backgroundColor,
      onChange: onbackgroundColorChange
    }))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", {
      class: "wp-block-seoindicate-product-edit",
      style: {
        background: backgroundColor
      }
    }, !isEmpty ? Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", null) : Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", {
      class: "ribbon ribbon-top-right"
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", null, ribbonValue)), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(InnerBlocks, {
      template: MY_TEMPLATE
    }))];
  },
  save: function save(props) {
    var attributes = props.attributes;
    var backgroundColor = attributes.backgroundColor,
        ribbonValue = attributes.ribbonValue;
    var isEmpty = ribbonValue.length > 0 ? true : false;
    return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", {
      style: {
        background: backgroundColor
      }
    }, !isEmpty ? Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", null) : Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", {
      class: "ribbon ribbon-top-right"
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", null, ribbonValue)), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(InnerBlocks.Content, null));
  },
  deprecated: [{
    attributes: {
      backgroundColor: {
        type: 'string',
        default: 'white'
      },
      ribbonValue: {
        type: 'string',
        default: ''
      }
    },
    save: function save(props) {
      var attributes = props.attributes;
      var backgroundColor = attributes.backgroundColor,
          ribbonValue = attributes.ribbonValue;
      return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("div", {
        style: {
          background: backgroundColor
        }
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(InnerBlocks.Content, null));
    }
  }]
});

/***/ }),

/***/ "@wordpress/element":
/*!******************************************!*\
  !*** external {"this":["wp","element"]} ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

(function() { module.exports = this["wp"]["element"]; }());

/***/ })

/******/ });
//# sourceMappingURL=index.js.map